阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 4262阅读
  • 0回复

[解决方案]通过 RPM 包安装的 PHP 编译 PECL 扩展

级别: 论坛版主
发帖
9349
云币
14165
— 本帖被 linanxiaoxiao 设置为精华(2016-10-25) —
前言 qt#a_F*rV  
s: .5S  
一般来说,通过软件仓库安装PHP,默认就有很多 PECL 扩展可以安装了,例如 apcu,仅需 yum install apcu 就可以完成 APCu 的安装了,那么如果是像 swoole 这样的扩展就没有预编译好的软件包了,需要我们己编译,这就可以讲解一下。 {=NHidi~  
^5l4D3@E  
准备 0*.> >rI  
32f lOi:  
首先,我们需要 php-devel gcc 这样的编译软件。 =lf&mD _/  
AwKxt'()^  
?=]*r>a3  
ly d[GfJ  
tN5brf  
N>fC"  
_`JY A  
注:我这里是以 ius 提供的 php7.0 为例,其他的软件还请自行修改 @ P=eu3  
  1. yum install php70u-devel  zlib-devel curl-devel gcc
A;sdrA  
R; X8%'   
编译 t:X[Blw3$  
fWR]L47n  
这里以安装 swoole 为例 H>-?/H  
  1. pecl install swoole
!Cj1:P  
/ 4K*iq  
就会自动编译安装。 dm Lgt)-t  
<%JRZYZ  
W?"Z>tgp  
cz/mUU  
[UI4YZu}  
@NXGVmY1}  
安装 Z;@F.r  
gFvFd:"uZ  
编译好了,支持完成 swoole.so 文件的编译,并没有安装到 php,所以我们需要修改配置文件。 ;<#fZ0(l;  
y @AKb  
Osb"$8im  
这里以 php—FPM 为例,适用于 nginx 或者 httpd 跑 php-fpm 的环境 W|T"'M_  
  1. cd /etc/php.d
  2. sudo touch swoole.ini
  3. echo "extension=swoole.so" | sudo tee -a swoole.ini
??rx\*,C</  
{MKq Yl{  
然后重启 php-fpm 即可。 Nh41o0  
"w`f>]YLA  
Dd*T5A?  
这里以 mod_php 为例 &_&])V)<\S  
适用于传统的 LAMP 环境:
  1. cd `/etc/php/mods-available`
  2. sudo touch swoole.ini
  3. echo "extension=swoole.so" | sudo tee -a swoole.ini
  4. ln -s /etc/php5/mods-available/swoole.ini /etc/php5/cli/conf.d/swoole.ini
Jug1Va<^c  
\1RQ),5 %]  
然后重启 httpd 或者 apache2 即可。 n(a7%Hx2  
MUNeGqv  
O#7fkL  
L.15EXAB  
V0L^pDLOV  
原创文章转载请注明:转载自:https://www.mf8.biz/install-rpm-php-with-pecl/
[ 此帖被ivmmff在2016-10-24 10:50重新编辑 ]
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: ECS是阿里云提供的什么服务? 正确答案:云服务器
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)